﻿using Composite.Forms.Plugins.FunctionFactory;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration.ObjectBuilder;
using Composite.Forms;
using System;
using System.Collections.Generic;


namespace FormFunctionDemo
{
    [ControlValueProperty("LastName")]
    public sealed class DemoFunction : IFormFunction
    {
        [FormsProperty()]
        [RequiredValue()]
        public string LastName { get; set; }

        [FormsProperty()]
        public string FirstName { get; set; }

        public object Execute()
        {
            Dictionary<Guid, string> result = new Dictionary<Guid, string>();

            result.Add(Guid.NewGuid(), "A");
            result.Add(Guid.NewGuid(), "B");
            result.Add(Guid.NewGuid(), "C");
            result.Add(Guid.NewGuid(), "D");

            return result;
        }

    }


    [ConfigurationElementType(typeof(NonConfigurableFunctionFactory))]
    public sealed class DemoFunctionFactory : IFormFunctionFactory
    {
        public IFormFunction CreateFunction()
        {
            return new DemoFunction();
        }
    }
}
